import Vue from 'vue'
import SvgIcon from '@/components/SvgIcon'// svg component

// 全局注册组件
Vue.component('svg-icon', SvgIcon)

// require.context(directory,useSubdirectories,regExp)：
// directory：需要检索的目录
// useSubdirectories：是否检索子目录
// regExp: 匹配文件的正则表达式

// 自动引入 @/src/icons 下面所有的svg图标
const req = require.context('./svg', false, /\.svg$/)
const requireAll = requireContext => requireContext.keys().map(requireContext)
requireAll(req)
